Get all floor plans
https://api.propexo.com/v1/floor-plans/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external ID from the integration vendor
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the floor plan
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The name associated with the floor plan
The marketing name of the floor plan
The code associated with the floor plan
Description of the floor plan
The number of bedrooms associated with the floor plan
Possible values: >= 0
The number of bathrooms associated with the floor plan
The number of full bathrooms associated with the floor plan
Possible values: >= 0
The number of half bathrooms associated with the floor plan
Possible values: >= 0
The maximum number of occupants for the floor plan
Possible values: >= 0
The rentable square footage of the floor plan
Possible values: >= 0
The gross square footage of the floor plan
Possible values: >= 0
The minimum rent of the floor plan
100000The maximum rent of the floor plan
100000The number of units associated with the floor plan
Possible values: >= 0
The deposit amount in cents associated with the floor plan
100000The raw deposit amount associated with the floor plan
The minimum deposit amount in cents associated with the floor plan
100000The maximum deposit amount in cents associated with the floor plan
100000The raw minimum deposit amount associated with the floor plan
The raw maximum deposit amount associated with the floor plan
custom_data object | nullrequired
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/floor-plans/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"name": "string",
"marketing_name": "string",
"code": "string",
"description": "string",
"bedrooms": 0,
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"max_occupants": 0,
"rentable_square_feet": 0,
"gross_square_feet": 0,
"rent_minimum_in_cents": 100000,
"rent_maximum_in_cents": 100000,
"image_urls": [
"string"
],
"unit_count": 0,
"deposit_amount_in_cents": 100000,
"deposit_amount_raw": "string",
"deposit_amount_min_in_cents": 100000,
"deposit_amount_max_in_cents": 100000,
"deposit_amount_min_raw": "string",
"deposit_amount_max_raw": "string",
"custom_data": "Unknown Type: object,null",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string"
}
]
}